﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using PersistentClasses;
using Telerik.OpenAccess;

public partial class UsingOQL : System.Web.UI.UserControl
{
    protected void RadGrid1_NeedDataSource(object source, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        string query = string.Empty;

        if (RadComboBox1.SelectedValue == "0")
        {
            query = "select * from CustomerExtent as c";
        }
        else if (RadComboBox1.SelectedValue == "1")
        {
            query = "select * from ProductExtent as p where p.UnitPrice > 4";
        }
        else if (RadComboBox1.SelectedValue == "2")
        {
            query = "select * from ProductExtent as p where p.ProductName LIKE \"B*\"";
        }
        else if (RadComboBox1.SelectedValue == "3")
        {
            query = "select * from OrderExtent AS o WHERE ShipCountry = \"Germany\" OR EXISTS od IN o.OrderDetails: (od.UnitPrice > 40)";
        }

        IQueryResult result = ObjectScopeProvider1.GetNewObjectScope().GetOqlQuery(query).Execute();

        int count = result.Count;

        RadTextBox1.Text = "Query: " + query;

        RadGrid1.DataSource = result;
    }

    protected void RadComboBox1_SelectedIndexChanged(object o, Telerik.Web.UI.RadComboBoxSelectedIndexChangedEventArgs e)
    {
        RadGrid1.Rebind();
    }
}
